@import url("highlighting.css");

body {
	font-family: "Atkinson Hyperlegible", Helvetica, sans-serif;
}

.if-auth {
	display: none !important;
}

#doc3 {
  display: flex;
  flex-direction: column;
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
}

#maincol {
  display: flex;
  flex-direction: column;
}

.pageTitle {
	display: flex;
	gap: 0.5rem;
	font-size: 1.05rem;
}

.pageTitle a {
  color: var(--text-deemph);
  font-weight: bold;
}

.tabs {
  display: flex;
  list-style-type: none;
  gap: 0.5rem;
  margin: 0;
}

.tabs li.selected, .tabs li.selected a {
  color: var(--text-deemph);
}

.tabs li.selected::before {
  content: "[";
}

.tabs li.selected::after {
  content: "]";
}

#footer-c {
	display: flex;
	gap: 1rem;
	justify-content: center;
	margin-top: 2rem;
	font-style: italic;
	color: var(--text-deemph);
}

#title-c {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

#title-right, #title-right > div {
	display: flex;
	gap: 0.5rem;
}

#sn-links {
	display: flex;
	gap: 0.5rem;
}

#sitenav {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 1rem;
	gap: 0.5rem;
}

#TOC {
	display: none;
}

fieldset {
	margin: 1rem 0rem;
	padding: 0.5rem;
	border-radius: 0.25rem;
	border: 1px solid var(--text-deemph);
}

.difflink .compare {
	margin-left: 0.5rem;
}

/* theme */

:root {
  --background: #1D1D26;
  --dark: #2C2C3B;
  --text: #D0D0D9;
  --text-deemph: hsl(from var(--text) h s calc(l - 25));
  --primary: #713A91;
  --accent: #FFBEFF;
  --primary-teal: #3A9272;
  --primary-green: #5A923A;
  --primary-maroon: #923A5A;
  --accent-yellow: #FFFFBD;
  --accent-lightblue: #BDFFFF;
  --accent-orange: #FFDEBD;
  --accent-green: #BDFFBD;
  --accent-blue: #BDDEFF;
}

body {
	background-color: var(--background);
	color: var(--text);
}

a {
	color: var(--accent);
}

input, button {
	background-color: var(--dark);
	color: var(--text);
	border: 1px solid var(--accent);
    padding: 0.125rem 0.375rem;
    border-radius: 0.25rem;
    font-family: inherit;
}


/* original css bits */

div#categoryList { padding: 0em; margin: 1em 0 0 0; border: 1px dashed #ccc; }
#categoryList ul > li { display: inline; padding-right: 1em; }

#editform textarea { height: 25em; width: 98%; font-family: monospace; font-size: 93%; }
#editform #logMsg { width: 98%; margin-right: 1em; margin-bottom: 0.3em; }

#goform input[type='text'] { width: 8.5em; }

.search_result { margin-bottom: 15px; }
.search_result .match { margin-bottom: 15px; }

pre>code { display: block; }
pre.matches { margin: 0; padding: 0; }
#pattern { background-color: yellow; font-weight: bold; }
pre.matches span.highlighted { background-color: yellow; }

.added { background-color: yellow; }
.deleted { text-decoration: line-through; color: var(--text-deemph); }

/* .req is used to hide a honeypot in a form */
.req { display: none; }

ul.messages > li { color: red; list-style: square; font-weight: bold; }

a.updir { font-weight: bold; }

h2.revision { font-size: 100%; color: #888; font-style: italic; border: none; margin: 0 0 0.5em 0; padding: 0; }

div.markupHelp pre { font-size: 77%; overflow: auto; }

/* Style the footnotes; from gwern.net */
#footnotediv div {
background-color: white;
padding: 3px;
padding: 12px;
max-width: 800px;
border: 1px solid #CDBBB5;
box-shadow: #555 0 0 10px;
-webkit-box-shadow: #555 0 0 10px;
-moz-box-shadow: 0 0 10px #555;
}
/* Deal with multiple footnotes one after another; Charuru */
sup + sup { margin-left: 2px; }
